Subject: Re: [RFC/RFTv3 04/24] net: phy: Keep track of EEE tx_lpi_enabled

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 30 May 2023 19:14:24 +0100

On Tue, May 30, 2023 at 11:11:22AM -0700, Florian Fainelli wrote:
> On 3/30/23 17:54, Andrew Lunn wrote:
> > Have phylib keep track of the EEE tx_lpi_enabled configuration.  This
> > simplifies the MAC drivers, in that they don't need to store it.
> > 
> > Future patches to phylib will also make use of this information to
> > further simplify the MAC drivers.
> > 
> > Signed-off-by: Andrew Lunn <[email-masked]>
> 
> Reviewed-by: Florian Fainelli <[email-masked]>

To Andrew: I'm not sure this is a good idea, having read 802.3 recently.
EEE is supported on optical as well, which means that LPI, being a MAC
thing, would need to be controlled without the PHY present.

A phylink using driver would need to store the LPI config when it's
used without a phylib PHY. Maybe phylink can store it on behalf of
of the driver instead though.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!